Index: LMDZ5/branches/testing/libf/phylmd/conf_phys.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/conf_phys.F90	(revision 1663)
+++ LMDZ5/branches/testing/libf/phylmd/conf_phys.F90	(revision 1664)
@@ -37,4 +37,5 @@
 
  include "thermcell.h"
+ include "iniprint.h"
 
 !IM : on inclut/initialise les taux de CH4, N2O, CFC11 et CFC12
@@ -101,5 +102,4 @@
 
 ! Local
-  integer              :: numout = 6
   real                 :: zzz
 
@@ -199,7 +199,7 @@
   call getin('OCEAN', ocean_omp)
   IF (ocean_omp /= 'yyyyyy') THEN
-     WRITE(numout,*)'ERROR!! Old variable name OCEAN used in parmeter file.'
-     WRITE(numout,*)'Variable OCEAN has been replaced by the variable type_ocean.'
-     WRITE(numout,*)'You have to update your parameter file physiq.def to succed running'
+     WRITE(lunout,*)'ERROR!! Old variable name OCEAN used in parmeter file.'
+     WRITE(lunout,*)'Variable OCEAN has been replaced by the variable type_ocean.'
+     WRITE(lunout,*)'You have to update your parameter file physiq.def to succed running'
      CALL abort_gcm('conf_phys','Variable OCEAN no longer existing, use variable name type_ocean',1)
   END IF
@@ -1351,5 +1351,5 @@
 !Config Help =
 !
-  ecrit_tra_omp = 30.
+  ecrit_tra_omp = 0.
   call getin('ecrit_tra',ecrit_tra_omp)
 !
@@ -1696,5 +1696,5 @@
 ! Test of coherence between type_ocean and version_ocean
     IF (type_ocean=='couple' .AND. (version_ocean/='opa8' .AND. version_ocean/='nemo') ) THEN
-       WRITE(numout,*)' ERROR version_ocean=',version_ocean,' not valid in coupled configuration'
+       WRITE(lunout,*)' ERROR version_ocean=',version_ocean,' not valid in coupled configuration'
        CALL abort_gcm('conf_phys','version_ocean not valid',1)
     END IF
@@ -1703,5 +1703,5 @@
        version_ocean='sicOBS'
     ELSE IF (type_ocean=='slab' .AND. version_ocean/='sicOBS') THEN
-       WRITE(numout,*)' ERROR version_ocean=',version_ocean,' not valid with slab ocean'
+       WRITE(lunout,*)' ERROR version_ocean=',version_ocean,' not valid with slab ocean'
        CALL abort_gcm('conf_phys','version_ocean not valid',1)
     END IF
@@ -1717,137 +1717,137 @@
 !$OMP MASTER
 
-  write(numout,*)' ##############################################'
-  write(numout,*)' Configuration des parametres de la physique: '
-  write(numout,*)' Type ocean = ', type_ocean
-  write(numout,*)' Version ocean = ', version_ocean
-  write(numout,*)' Config veget = ', ok_veget
-  write(numout,*)' Sortie journaliere = ', ok_journe
-  write(numout,*)' Sortie haute frequence = ', ok_hf
-  write(numout,*)' Sortie mensuelle = ', ok_mensuel
-  write(numout,*)' Sortie instantanee = ', ok_instan
-  write(numout,*)' Frequence appel simulateur ISCCP, freq_ISCCP =', freq_ISCCP
-  write(numout,*)' Frequence appel simulateur ISCCP, ecrit_ISCCP =', ecrit_ISCCP
-  write(numout,*)' Frequence appel simulateur COSP, freq_COSP =', freq_COSP
-  write(numout,*)' Sortie bilan d''energie, ip_ebil_phy =', ip_ebil_phy
-  write(numout,*)' Excentricite = ',R_ecc
-  write(numout,*)' Equinoxe = ',R_peri
-  write(numout,*)' Inclinaison =',R_incl
-  write(numout,*)' Constante solaire =',solaire
-  write(numout,*)' co2_ppm =',co2_ppm
-  write(numout,*)' RCO2_act = ',RCO2_act
-  write(numout,*)' CH4_ppb =',CH4_ppb,' RCH4_act = ',RCH4_act
-  write(numout,*)' N2O_ppb =',N2O_ppb,' RN2O_act=  ',RN2O_act
-  write(numout,*)' CFC11_ppt=',CFC11_ppt,' RCFC11_act=  ',RCFC11_act
-  write(numout,*)' CFC12_ppt=',CFC12_ppt,' RCFC12_act=  ',RCFC12_act
-  write(numout,*)' RCO2_per = ',RCO2_per,' RCH4_per = ', RCH4_per
-  write(numout,*)' RN2O_per = ',RN2O_per,' RCFC11_per = ', RCFC11_per
-  write(numout,*)' RCFC12_per = ',RCFC12_per
-  write(numout,*)' cvl_corr=', cvl_corr
-  write(numout,*)'ok_lic_melt=', ok_lic_melt
-  write(numout,*)'cycle_diurne=',cycle_diurne
-  write(numout,*)'soil_model=',soil_model
-  write(numout,*)'new_oliq=',new_oliq
-  write(numout,*)'ok_orodr=',ok_orodr
-  write(numout,*)'ok_orolf=',ok_orolf
-  write(numout,*)'ok_limitvrai=',ok_limitvrai
-  write(numout,*)'nbapp_rad=',nbapp_rad
-  write(numout,*)'iflag_con=',iflag_con
-  write(numout,*)' epmax = ', epmax
-  write(numout,*)' ok_adj_ema = ', ok_adj_ema
-  write(numout,*)' iflag_clw = ', iflag_clw
-  write(numout,*)' cld_lc_lsc = ', cld_lc_lsc
-  write(numout,*)' cld_lc_con = ', cld_lc_con
-  write(numout,*)' cld_tau_lsc = ', cld_tau_lsc
-  write(numout,*)' cld_tau_con = ', cld_tau_con
-  write(numout,*)' ffallv_lsc = ', ffallv_lsc
-  write(numout,*)' ffallv_con = ', ffallv_con
-  write(numout,*)' coef_eva = ', coef_eva
-  write(numout,*)' reevap_ice = ', reevap_ice
-  write(numout,*)' iflag_pdf = ', iflag_pdf
-  write(numout,*)' iflag_cldcon = ', iflag_cldcon
-  write(numout,*)' iflag_radia = ', iflag_radia
-  write(numout,*)' iflag_rrtm = ', iflag_rrtm
-  write(numout,*)' iflag_ratqs = ', iflag_ratqs
-  write(numout,*)' seuil_inversion = ', seuil_inversion
-  write(numout,*)' fact_cldcon = ', fact_cldcon
-  write(numout,*)' facttemps = ', facttemps
-  write(numout,*)' ok_newmicro = ',ok_newmicro 
-  write(numout,*)' ratqsbas = ',ratqsbas 
-  write(numout,*)' ratqshaut = ',ratqshaut 
-  write(numout,*)' tau_ratqs = ',tau_ratqs 
-  write(numout,*)' top_height = ',top_height 
-  write(numout,*)' rad_froid = ',rad_froid
-  write(numout,*)' rad_chau1 = ',rad_chau1
-  write(numout,*)' rad_chau2 = ',rad_chau2
-  write(numout,*)' t_glace_min = ',t_glace_min
-  write(numout,*)' t_glace_max = ',t_glace_max
-  write(numout,*)' rei_min = ',rei_min
-  write(numout,*)' rei_max = ',rei_max
-  write(numout,*)' overlap = ',overlap 
-  write(numout,*)' cdmmax = ',cdmmax 
-  write(numout,*)' cdhmax = ',cdhmax 
-  write(numout,*)' ksta = ',ksta 
-  write(numout,*)' ksta_ter = ',ksta_ter 
-  write(numout,*)' ok_kzmin = ',ok_kzmin 
-  write(numout,*)' fmagic = ',fmagic
-  write(numout,*)' pmagic = ',pmagic
-  write(numout,*)' ok_ade = ',ok_ade
-  write(numout,*)' ok_aie = ',ok_aie
-  write(numout,*)' aerosol_couple = ', aerosol_couple
-  write(numout,*)' flag_aerosol = ', flag_aerosol
-  write(numout,*)' new_aod = ', new_aod
-  write(numout,*)' aer_type = ',aer_type
-  write(numout,*)' bl95_b0 = ',bl95_b0
-  write(numout,*)' bl95_b1 = ',bl95_b1
-  write(numout,*)' lev_histhf = ',lev_histhf 
-  write(numout,*)' lev_histday = ',lev_histday 
-  write(numout,*)' lev_histmth = ',lev_histmth 
-  write(numout,*)' lev_histins = ',lev_histins
-  write(numout,*)' lev_histLES = ',lev_histLES
-  write(numout,*)' lev_histdayNMC = ',lev_histdayNMC
-  write(numout,*)' ok_histNMC = ',ok_histNMC
-  write(numout,*)' freq_outNMC = ',freq_outNMC
-  write(numout,*)' freq_calNMC = ',freq_calNMC
-  write(numout,*)' iflag_pbl = ', iflag_pbl
-  write(numout,*)' iflag_thermals = ', iflag_thermals
-  write(numout,*)' iflag_thermals_ed = ', iflag_thermals_ed
-  write(numout,*)' iflag_thermals_optflux = ', iflag_thermals_optflux
-  write(numout,*)' iflag_clos = ', iflag_clos
-  write(numout,*)' type_run = ',type_run 
-  write(numout,*)' ok_isccp = ',ok_isccp 
-  write(numout,*)' ok_cosp = ',ok_cosp
-  write(numout,*)' ok_mensuelCOSP = ',ok_mensuelCOSP
-  write(numout,*)' ok_journeCOSP = ',ok_journeCOSP
-  write(numout,*)' ok_hfCOSP =',ok_hfCOSP
-  write(numout,*)' solarlong0 = ', solarlong0
-  write(numout,*)' qsol0 = ', qsol0
-  write(numout,*)' inertie_sol = ', inertie_sol
-  write(numout,*)' inertie_ice = ', inertie_ice
-  write(numout,*)' inertie_sno = ', inertie_sno
-  write(numout,*)' f_cdrag_ter = ',f_cdrag_ter
-  write(numout,*)' f_cdrag_oce = ',f_cdrag_oce
-  write(numout,*)' f_rugoro = ',f_rugoro
-  write(numout,*)' supcrit1 = ', supcrit1
-  write(numout,*)' supcrit2 = ', supcrit2
-  write(numout,*)' iflag_mix = ', iflag_mix
-  write(numout,*)' scut = ', scut
-  write(numout,*)' qqa1 = ', qqa1
-  write(numout,*)' qqa2 = ', qqa2
-  write(numout,*)' gammas = ', gammas
-  write(numout,*)' Fmax = ', Fmax
-  write(numout,*)' alphas = ', alphas
-  write(numout,*)' iflag_wake = ', iflag_wake
-  write(numout,*)' alp_offset = ', alp_offset
-
-  write(numout,*)' lonmin lonmax latmin latmax bilKP_ins =',&
+  write(lunout,*)' ##############################################'
+  write(lunout,*)' Configuration des parametres de la physique: '
+  write(lunout,*)' Type ocean = ', type_ocean
+  write(lunout,*)' Version ocean = ', version_ocean
+  write(lunout,*)' Config veget = ', ok_veget
+  write(lunout,*)' Sortie journaliere = ', ok_journe
+  write(lunout,*)' Sortie haute frequence = ', ok_hf
+  write(lunout,*)' Sortie mensuelle = ', ok_mensuel
+  write(lunout,*)' Sortie instantanee = ', ok_instan
+  write(lunout,*)' Frequence appel simulateur ISCCP, freq_ISCCP =', freq_ISCCP
+  write(lunout,*)' Frequence appel simulateur ISCCP, ecrit_ISCCP =', ecrit_ISCCP
+  write(lunout,*)' Frequence appel simulateur COSP, freq_COSP =', freq_COSP
+  write(lunout,*)' Sortie bilan d''energie, ip_ebil_phy =', ip_ebil_phy
+  write(lunout,*)' Excentricite = ',R_ecc
+  write(lunout,*)' Equinoxe = ',R_peri
+  write(lunout,*)' Inclinaison =',R_incl
+  write(lunout,*)' Constante solaire =',solaire
+  write(lunout,*)' co2_ppm =',co2_ppm
+  write(lunout,*)' RCO2_act = ',RCO2_act
+  write(lunout,*)' CH4_ppb =',CH4_ppb,' RCH4_act = ',RCH4_act
+  write(lunout,*)' N2O_ppb =',N2O_ppb,' RN2O_act=  ',RN2O_act
+  write(lunout,*)' CFC11_ppt=',CFC11_ppt,' RCFC11_act=  ',RCFC11_act
+  write(lunout,*)' CFC12_ppt=',CFC12_ppt,' RCFC12_act=  ',RCFC12_act
+  write(lunout,*)' RCO2_per = ',RCO2_per,' RCH4_per = ', RCH4_per
+  write(lunout,*)' RN2O_per = ',RN2O_per,' RCFC11_per = ', RCFC11_per
+  write(lunout,*)' RCFC12_per = ',RCFC12_per
+  write(lunout,*)' cvl_corr=', cvl_corr
+  write(lunout,*)'ok_lic_melt=', ok_lic_melt
+  write(lunout,*)'cycle_diurne=',cycle_diurne
+  write(lunout,*)'soil_model=',soil_model
+  write(lunout,*)'new_oliq=',new_oliq
+  write(lunout,*)'ok_orodr=',ok_orodr
+  write(lunout,*)'ok_orolf=',ok_orolf
+  write(lunout,*)'ok_limitvrai=',ok_limitvrai
+  write(lunout,*)'nbapp_rad=',nbapp_rad
+  write(lunout,*)'iflag_con=',iflag_con
+  write(lunout,*)' epmax = ', epmax
+  write(lunout,*)' ok_adj_ema = ', ok_adj_ema
+  write(lunout,*)' iflag_clw = ', iflag_clw
+  write(lunout,*)' cld_lc_lsc = ', cld_lc_lsc
+  write(lunout,*)' cld_lc_con = ', cld_lc_con
+  write(lunout,*)' cld_tau_lsc = ', cld_tau_lsc
+  write(lunout,*)' cld_tau_con = ', cld_tau_con
+  write(lunout,*)' ffallv_lsc = ', ffallv_lsc
+  write(lunout,*)' ffallv_con = ', ffallv_con
+  write(lunout,*)' coef_eva = ', coef_eva
+  write(lunout,*)' reevap_ice = ', reevap_ice
+  write(lunout,*)' iflag_pdf = ', iflag_pdf
+  write(lunout,*)' iflag_cldcon = ', iflag_cldcon
+  write(lunout,*)' iflag_radia = ', iflag_radia
+  write(lunout,*)' iflag_rrtm = ', iflag_rrtm
+  write(lunout,*)' iflag_ratqs = ', iflag_ratqs
+  write(lunout,*)' seuil_inversion = ', seuil_inversion
+  write(lunout,*)' fact_cldcon = ', fact_cldcon
+  write(lunout,*)' facttemps = ', facttemps
+  write(lunout,*)' ok_newmicro = ',ok_newmicro 
+  write(lunout,*)' ratqsbas = ',ratqsbas 
+  write(lunout,*)' ratqshaut = ',ratqshaut 
+  write(lunout,*)' tau_ratqs = ',tau_ratqs 
+  write(lunout,*)' top_height = ',top_height 
+  write(lunout,*)' rad_froid = ',rad_froid
+  write(lunout,*)' rad_chau1 = ',rad_chau1
+  write(lunout,*)' rad_chau2 = ',rad_chau2
+  write(lunout,*)' t_glace_min = ',t_glace_min
+  write(lunout,*)' t_glace_max = ',t_glace_max
+  write(lunout,*)' rei_min = ',rei_min
+  write(lunout,*)' rei_max = ',rei_max
+  write(lunout,*)' overlap = ',overlap 
+  write(lunout,*)' cdmmax = ',cdmmax 
+  write(lunout,*)' cdhmax = ',cdhmax 
+  write(lunout,*)' ksta = ',ksta 
+  write(lunout,*)' ksta_ter = ',ksta_ter 
+  write(lunout,*)' ok_kzmin = ',ok_kzmin 
+  write(lunout,*)' fmagic = ',fmagic
+  write(lunout,*)' pmagic = ',pmagic
+  write(lunout,*)' ok_ade = ',ok_ade
+  write(lunout,*)' ok_aie = ',ok_aie
+  write(lunout,*)' aerosol_couple = ', aerosol_couple
+  write(lunout,*)' flag_aerosol = ', flag_aerosol
+  write(lunout,*)' new_aod = ', new_aod
+  write(lunout,*)' aer_type = ',aer_type
+  write(lunout,*)' bl95_b0 = ',bl95_b0
+  write(lunout,*)' bl95_b1 = ',bl95_b1
+  write(lunout,*)' lev_histhf = ',lev_histhf 
+  write(lunout,*)' lev_histday = ',lev_histday 
+  write(lunout,*)' lev_histmth = ',lev_histmth 
+  write(lunout,*)' lev_histins = ',lev_histins
+  write(lunout,*)' lev_histLES = ',lev_histLES
+  write(lunout,*)' lev_histdayNMC = ',lev_histdayNMC
+  write(lunout,*)' ok_histNMC = ',ok_histNMC
+  write(lunout,*)' freq_outNMC = ',freq_outNMC
+  write(lunout,*)' freq_calNMC = ',freq_calNMC
+  write(lunout,*)' iflag_pbl = ', iflag_pbl
+  write(lunout,*)' iflag_thermals = ', iflag_thermals
+  write(lunout,*)' iflag_thermals_ed = ', iflag_thermals_ed
+  write(lunout,*)' iflag_thermals_optflux = ', iflag_thermals_optflux
+  write(lunout,*)' iflag_clos = ', iflag_clos
+  write(lunout,*)' type_run = ',type_run 
+  write(lunout,*)' ok_isccp = ',ok_isccp 
+  write(lunout,*)' ok_cosp = ',ok_cosp
+  write(lunout,*)' ok_mensuelCOSP = ',ok_mensuelCOSP
+  write(lunout,*)' ok_journeCOSP = ',ok_journeCOSP
+  write(lunout,*)' ok_hfCOSP =',ok_hfCOSP
+  write(lunout,*)' solarlong0 = ', solarlong0
+  write(lunout,*)' qsol0 = ', qsol0
+  write(lunout,*)' inertie_sol = ', inertie_sol
+  write(lunout,*)' inertie_ice = ', inertie_ice
+  write(lunout,*)' inertie_sno = ', inertie_sno
+  write(lunout,*)' f_cdrag_ter = ',f_cdrag_ter
+  write(lunout,*)' f_cdrag_oce = ',f_cdrag_oce
+  write(lunout,*)' f_rugoro = ',f_rugoro
+  write(lunout,*)' supcrit1 = ', supcrit1
+  write(lunout,*)' supcrit2 = ', supcrit2
+  write(lunout,*)' iflag_mix = ', iflag_mix
+  write(lunout,*)' scut = ', scut
+  write(lunout,*)' qqa1 = ', qqa1
+  write(lunout,*)' qqa2 = ', qqa2
+  write(lunout,*)' gammas = ', gammas
+  write(lunout,*)' Fmax = ', Fmax
+  write(lunout,*)' alphas = ', alphas
+  write(lunout,*)' iflag_wake = ', iflag_wake
+  write(lunout,*)' alp_offset = ', alp_offset
+
+  write(lunout,*)' lonmin lonmax latmin latmax bilKP_ins =',&
    lonmin_ins, lonmax_ins, latmin_ins, latmax_ins
-  write(numout,*)' ecrit_ hf, ins, day, mth, reg, tra, ISCCP, LES',&
+  write(lunout,*)' ecrit_ hf, ins, day, mth, reg, tra, ISCCP, LES',&
    ecrit_hf, ecrit_ins, ecrit_day, ecrit_mth, ecrit_reg, ecrit_tra, ecrit_ISCCP, ecrit_LES
 
-  write(numout,*) 'ok_strato = ', ok_strato
-  write(numout,*) 'ok_hines = ',  ok_hines
-  write(numout,*) 'read_climoz = ', read_climoz
-  write(numout,*) 'carbon_cycle_tr = ', carbon_cycle_tr
-  write(numout,*) 'carbon_cycle_cpl = ', carbon_cycle_cpl
+  write(lunout,*) 'ok_strato = ', ok_strato
+  write(lunout,*) 'ok_hines = ',  ok_hines
+  write(lunout,*) 'read_climoz = ', read_climoz
+  write(lunout,*) 'carbon_cycle_tr = ', carbon_cycle_tr
+  write(lunout,*) 'carbon_cycle_cpl = ', carbon_cycle_cpl
   
 !$OMP END MASTER
@@ -1866,5 +1866,5 @@
    use IOIPSL
    implicit none
-
+   include "iniprint.h"
 ! Configuration de l'interace atm/surf
 !
@@ -1874,6 +1874,4 @@
   REAL,SAVE     :: tau_calv_omp
 
-! Local
-  integer              :: numout = 6
 !
 !Config Key  = tau_calv
@@ -1891,7 +1889,7 @@
   
 !$OMP MASTER
-  write(numout,*)' ##############################################'
-  WRITE(numout,*)' Configuration de l''interface atm/surfaces  : '
-  WRITE(numout,*)' tau_calv = ',tau_calv
+  write(lunout,*)' ##############################################'
+  WRITE(lunout,*)' Configuration de l''interface atm/surfaces  : '
+  WRITE(lunout,*)' tau_calv = ',tau_calv
 !$OMP END MASTER
 
Index: LMDZ5/branches/testing/libf/phylmd/cv3p1_closure.F
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/cv3p1_closure.F	(revision 1663)
+++ LMDZ5/branches/testing/libf/phylmd/cv3p1_closure.F	(revision 1664)
@@ -516,13 +516,22 @@
         wb2(il) = sqrt(2.*max(Ale(il)+cin(il),0.))
       ENDDO
-c
-      IF (flag_wb==0) THEN
-        wbeff(:) = wbmax
-      ELSE IF (flag_wb==1) THEN
-        wbeff(1:ncum) = wbmax/(1.+500./(ph(1:ncum,1)-plfc(1:ncum)))
-      ELSE IF (flag_wb==2) THEN
-        wbeff(1:ncum) = wbmax*(0.01*(ph(1:ncum,1)-plfc(1:ncum)))**2
-      ENDIF
-c
+
+      DO il = 1, ncum
+         IF (plfc(il) .lt. 100.) THEN
+c        This is an irealistic value for plfc => no calculation of wbeff
+            wbeff(il) = 100.1
+         ELSE
+c        Calculate wbeff
+            IF (flag_wb==0) THEN
+               wbeff(il) = wbmax
+            ELSE IF (flag_wb==1) THEN
+               wbeff(il) = wbmax/(1.+500./(ph(il,1)-plfc(il)))
+            ELSE IF (flag_wb==2) THEN
+               wbeff(il) = wbmax*(0.01*(ph(il,1)-plfc(il)))**2
+            ENDIF
+         END IF
+      END DO
+
+
       DO il = 1,ncum
 cjyg    Modification du coef de wb*wb pour conformite avec papier Wake
Index: LMDZ5/branches/testing/libf/phylmd/cv3p_mixing.F
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/cv3p_mixing.F	(revision 1663)
+++ LMDZ5/branches/testing/libf/phylmd/cv3p_mixing.F	(revision 1664)
@@ -81,5 +81,5 @@
       Rmix(F) = qqa1*Rmix1(F) + qqa2*Rmix2(F)
 C
-      INTEGER ifrst
+      INTEGER, SAVE :: ifrst
       DATA ifrst/0/
 c$OMP THREADPRIVATE(ifrst)
Index: LMDZ5/branches/testing/libf/phylmd/fisrtilp.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/fisrtilp.F90	(revision 1663)
+++ LMDZ5/branches/testing/libf/phylmd/fisrtilp.F90	(revision 1664)
@@ -147,10 +147,10 @@
   IF (appel1er) THEN
      !
-     PRINT*, 'fisrtilp, ninter:', ninter
-     PRINT*, 'fisrtilp, evap_prec:', evap_prec
-     PRINT*, 'fisrtilp, cpartiel:', cpartiel
+     WRITE(lunout,*) 'fisrtilp, ninter:', ninter
+     WRITE(lunout,*) 'fisrtilp, evap_prec:', evap_prec
+     WRITE(lunout,*) 'fisrtilp, cpartiel:', cpartiel
      IF (ABS(dtime/REAL(ninter)-360.0).GT.0.001) THEN
-        PRINT*, 'fisrtilp: Ce n est pas prevu, voir Z.X.Li', dtime
-        PRINT*, 'Je prefere un sous-intervalle de 6 minutes'
+        WRITE(lunout,*) 'fisrtilp: Ce n est pas prevu, voir Z.X.Li', dtime
+        WRITE(lunout,*) 'Je prefere un sous-intervalle de 6 minutes'
         !         CALL abort
      ENDIF
@@ -616,5 +616,5 @@
 
   if (ncoreczq>0) then
-     print*,'WARNING : ZQ dans fisrtilp ',ncoreczq,' val < 1.e-15.'
+     WRITE(lunout,*)'WARNING : ZQ dans fisrtilp ',ncoreczq,' val < 1.e-15.'
   endif
 
Index: LMDZ5/branches/testing/libf/phylmd/fisrtilp_tr.F
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/fisrtilp_tr.F	(revision 1663)
+++ LMDZ5/branches/testing/libf/phylmd/fisrtilp_tr.F	(revision 1664)
@@ -24,4 +24,5 @@
 #include "YOMCST.h"
 #include "tracstoke.h"
+#include "iniprint.h"
 c
 c Arguments:
@@ -136,11 +137,12 @@
       IF (appel1er) THEN
 c
-         PRINT*, 'fisrtilp, calcrat:', calcrat
-         PRINT*, 'fisrtilp, ninter:', ninter
-         PRINT*, 'fisrtilp, evap_prec:', evap_prec
-         PRINT*, 'fisrtilp, cpartiel:', cpartiel
+         WRITE(lunout,*) 'fisrtilp, calcrat:', calcrat
+         WRITE(lunout,*) 'fisrtilp, ninter:', ninter
+         WRITE(lunout,*) 'fisrtilp, evap_prec:', evap_prec
+         WRITE(lunout,*) 'fisrtilp, cpartiel:', cpartiel
          IF (ABS(dtime/REAL(ninter)-360.0).GT.0.001) THEN
-          PRINT*, 'fisrtilp: Ce n est pas prevu, voir Z.X.Li', dtime
-          PRINT*, 'Je prefere un sous-intervalle de 6 minutes'
+          WRITE(lunout,*) 
+     $    'fisrtilp: Ce n est pas prevu, voir Z.X.Li', dtime
+          WRITE(lunout,*) 'Je prefere un sous-intervalle de 6 minutes'
           CALL abort
          ENDIF
Index: LMDZ5/branches/testing/libf/phylmd/hgardfou.F
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/hgardfou.F	(revision 1663)
+++ LMDZ5/branches/testing/libf/phylmd/hgardfou.F	(revision 1664)
@@ -11,4 +11,5 @@
 #include "YOMCST.h"
 #include "indicesol.h"
+#include "iniprint.h"
       REAL t(klon,klev), tsol(klon,nbsrf)
       CHARACTER*(*) text
@@ -27,8 +28,9 @@
 
       IF (firstcall) THEN
-         PRINT*, 'hgardfou garantit la temperature dans [100,370] K'
+         WRITE(lunout,*) 
+     $  'hgardfou garantit la temperature dans [100,370] K'
          firstcall = .FALSE.
 c        DO i = 1, klon
-c         print*,'i=',i,'rlon=',rlon(i),'rlat=',rlat(i)
+c         WRITE(lunout,*)'i=',i,'rlon=',rlon(i),'rlat=',rlat(i)
 c        ENDDO
 c
@@ -54,5 +56,6 @@
            ok = .FALSE.
            DO i = 1, jbad
-             PRINT *,'i,k,temperature,lon,lat,pourc ter,oce,lic,sic =',
+             WRITE(lunout,*)
+     $       'i,k,temperature,lon,lat,pourc ter,oce,lic,sic =',
      $       jadrs(i),k,zt(jadrs(i)),rlon(jadrs(i)),rlat(jadrs(i)),
      $       (pctsrf(jadrs(i),nsrf),nsrf=1,nbsrf)
@@ -74,5 +77,6 @@
            ok = .FALSE.
            DO i = 1, jbad
-             PRINT *,'i,k,temperature,lon,lat,pourc ter,oce,lic,sic =',
+             WRITE(lunout,*)
+     $       'i,k,temperature,lon,lat,pourc ter,oce,lic,sic =',
      $       jadrs(i),k,zt(jadrs(i)),rlon(jadrs(i)),rlat(jadrs(i)),
      $       (pctsrf(jadrs(i),nsrf),nsrf=1,nbsrf)
@@ -99,5 +103,6 @@
            ok = .FALSE.
            DO i = 1, jbad
-            PRINT *,'i,nsrf,temperature,lon,lat,pourc ter,oce,lic,sic ='
+            WRITE(lunout,*) 
+     $      'i,nsrf,temperature,lon,lat,pourc ter,oce,lic,sic ='
      $      ,jadrs(i),nsrf,zt(jadrs(i)),rlon(jadrs(i)),rlat(jadrs(i))
      $      ,pctsrf(jadrs(i),nsrf)
@@ -119,5 +124,6 @@
            ok = .FALSE.
            DO i = 1, jbad
-            PRINT *,'i,nsrf,temperature,lon,lat,pourc ter,oce,lic,sic ='
+            WRITE(lunout,*) 
+     $      'i,nsrf,temperature,lon,lat,pourc ter,oce,lic,sic ='
      $      ,jadrs(i),nsrf,zt(jadrs(i)),rlon(jadrs(i)),rlat(jadrs(i))
      $      ,pctsrf(jadrs(i),nsrf)
Index: LMDZ5/branches/testing/libf/phylmd/ini_histrac.h
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/ini_histrac.h	(revision 1663)
+++ LMDZ5/branches/testing/libf/phylmd/ini_histrac.h	(revision 1664)
@@ -2,5 +2,5 @@
 ! $Id $
 !
-  IF (ecrit_tra>0. .AND. config_inca == 'none') THEN
+  IF (ecrit_tra>0.) THEN
 !$OMP MASTER 
      CALL ymds2ju(annee_ref, 1, day_ref, 0.0, zjulian)
@@ -124,4 +124,4 @@
      CALL histend(nid_tra)
 !$OMP END MASTER
-  END IF ! ecrit_tra>0. .AND. config_inca == 'none'
+  END IF ! ecrit_tra>0.
   
Index: LMDZ5/branches/testing/libf/phylmd/init_phys_lmdz.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/init_phys_lmdz.F90	(revision 1663)
+++ LMDZ5/branches/testing/libf/phylmd/init_phys_lmdz.F90	(revision 1664)
@@ -6,4 +6,9 @@
   USE mod_grid_phy_lmdz
   USE dimphy, ONLY : Init_dimphy
+  USE infotrac, ONLY : type_trac
+#ifdef REPROBUS
+  USE CHEM_REP, ONLY : Init_chem_rep_phys
+#endif
+
   IMPLICIT NONE
   
@@ -19,4 +24,12 @@
 !$OMP PARALLEL
     CALL Init_dimphy(klon_omp,nbp_lev)
+
+! Initialization of Reprobus
+    IF (type_trac == 'repr') THEN
+#ifdef REPROBUS
+       CALL Init_chem_rep_phys(klon_omp,nbp_lev)
+#endif
+    END IF
+
 !$OMP END PARALLEL
  
Index: LMDZ5/branches/testing/libf/phylmd/mod_phys_lmdz_mpi_data.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/mod_phys_lmdz_mpi_data.F90	(revision 1663)
+++ LMDZ5/branches/testing/libf/phylmd/mod_phys_lmdz_mpi_data.F90	(revision 1664)
@@ -167,35 +167,35 @@
   SUBROUTINE print_module_data
   IMPLICIT NONE
-  
-  
-    PRINT *, 'ii_begin =', ii_begin
-    PRINT *, 'ii_end =', ii_end
-    PRINT *, 'jj_begin =',jj_begin
-    PRINT *, 'jj_end =', jj_end
-    PRINT *, 'jj_nb =', jj_nb
-    PRINT *, 'ij_begin =', ij_begin
-    PRINT *, 'ij_end =', ij_end
-    PRINT *, 'ij_nb =', ij_nb
-    PRINT *, 'klon_mpi_begin =', klon_mpi_begin
-    PRINT *, 'klon_mpi_end =', klon_mpi_end
-    PRINT *, 'klon_mpi =', klon_mpi
-    PRINT *, 'jj_para_nb =', jj_para_nb
-    PRINT *, 'jj_para_begin =', jj_para_begin
-    PRINT *, 'jj_para_end =', jj_para_end
-    PRINT *, 'ii_para_begin =', ii_para_begin
-    PRINT *, 'ii_para_end =', ii_para_end
-    PRINT *, 'ij_para_nb =', ij_para_nb
-    PRINT *, 'ij_para_begin =', ij_para_begin
-    PRINT *, 'ij_para_end =', ij_para_end
-    PRINT *, 'klon_mpi_para_nb =', klon_mpi_para_nb
-    PRINT *, 'klon_mpi_para_begin =', klon_mpi_para_begin
-    PRINT *, 'klon_mpi_para_end  =', klon_mpi_para_end 
-    PRINT *, 'mpi_rank =', mpi_rank
-    PRINT *, 'mpi_size =', mpi_size
-    PRINT *, 'mpi_root =', mpi_root
-    PRINT *, 'is_mpi_root =', is_mpi_root
-    PRINT *, 'is_north_pole =', is_north_pole
-    PRINT *, 'is_south_pole =', is_south_pole
-    PRINT *, 'COMM_LMDZ_PHY =', COMM_LMDZ_PHY
+  INCLUDE "iniprint.h" 
+  
+    WRITE(lunout,*) 'ii_begin =', ii_begin
+    WRITE(lunout,*) 'ii_end =', ii_end
+    WRITE(lunout,*) 'jj_begin =',jj_begin
+    WRITE(lunout,*) 'jj_end =', jj_end
+    WRITE(lunout,*) 'jj_nb =', jj_nb
+    WRITE(lunout,*) 'ij_begin =', ij_begin
+    WRITE(lunout,*) 'ij_end =', ij_end
+    WRITE(lunout,*) 'ij_nb =', ij_nb
+    WRITE(lunout,*) 'klon_mpi_begin =', klon_mpi_begin
+    WRITE(lunout,*) 'klon_mpi_end =', klon_mpi_end
+    WRITE(lunout,*) 'klon_mpi =', klon_mpi
+    WRITE(lunout,*) 'jj_para_nb =', jj_para_nb
+    WRITE(lunout,*) 'jj_para_begin =', jj_para_begin
+    WRITE(lunout,*) 'jj_para_end =', jj_para_end
+    WRITE(lunout,*) 'ii_para_begin =', ii_para_begin
+    WRITE(lunout,*) 'ii_para_end =', ii_para_end
+    WRITE(lunout,*) 'ij_para_nb =', ij_para_nb
+    WRITE(lunout,*) 'ij_para_begin =', ij_para_begin
+    WRITE(lunout,*) 'ij_para_end =', ij_para_end
+    WRITE(lunout,*) 'klon_mpi_para_nb =', klon_mpi_para_nb
+    WRITE(lunout,*) 'klon_mpi_para_begin =', klon_mpi_para_begin
+    WRITE(lunout,*) 'klon_mpi_para_end  =', klon_mpi_para_end 
+    WRITE(lunout,*) 'mpi_rank =', mpi_rank
+    WRITE(lunout,*) 'mpi_size =', mpi_size
+    WRITE(lunout,*) 'mpi_root =', mpi_root
+    WRITE(lunout,*) 'is_mpi_root =', is_mpi_root
+    WRITE(lunout,*) 'is_north_pole =', is_north_pole
+    WRITE(lunout,*) 'is_south_pole =', is_south_pole
+    WRITE(lunout,*) 'COMM_LMDZ_PHY =', COMM_LMDZ_PHY
   
   END SUBROUTINE print_module_data
Index: LMDZ5/branches/testing/libf/phylmd/mod_phys_lmdz_omp_data.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/mod_phys_lmdz_omp_data.F90	(revision 1663)
+++ LMDZ5/branches/testing/libf/phylmd/mod_phys_lmdz_omp_data.F90	(revision 1664)
@@ -91,16 +91,17 @@
   SUBROUTINE Print_module_data
   IMPLICIT NONE
+  INCLUDE "iniprint.h"
 
 !$OMP CRITICAL  
-  PRINT *,'--------> TASK ',omp_rank
-  PRINT *,'omp_size =',omp_size
-  PRINT *,'omp_rank =',omp_rank
-  PRINT *,'is_omp_root =',is_omp_root
-  PRINT *,'klon_omp_para_nb =',klon_omp_para_nb
-  PRINT *,'klon_omp_para_begin =',klon_omp_para_begin
-  PRINT *,'klon_omp_para_end =',klon_omp_para_end    
-  PRINT *,'klon_omp =',klon_omp
-  PRINT *,'klon_omp_begin =',klon_omp_begin
-  PRINT *,'klon_omp_end =',klon_omp_end    
+  WRITE(lunout,*)'--------> TASK ',omp_rank
+  WRITE(lunout,*)'omp_size =',omp_size
+  WRITE(lunout,*)'omp_rank =',omp_rank
+  WRITE(lunout,*)'is_omp_root =',is_omp_root
+  WRITE(lunout,*)'klon_omp_para_nb =',klon_omp_para_nb
+  WRITE(lunout,*)'klon_omp_para_begin =',klon_omp_para_begin
+  WRITE(lunout,*)'klon_omp_para_end =',klon_omp_para_end    
+  WRITE(lunout,*)'klon_omp =',klon_omp
+  WRITE(lunout,*)'klon_omp_begin =',klon_omp_begin
+  WRITE(lunout,*)'klon_omp_end =',klon_omp_end    
 !$OMP END CRITICAL
 
Index: LMDZ5/branches/testing/libf/phylmd/mod_phys_lmdz_para.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/mod_phys_lmdz_para.F90	(revision 1663)
+++ LMDZ5/branches/testing/libf/phylmd/mod_phys_lmdz_para.F90	(revision 1664)
@@ -47,5 +47,6 @@
   USE mod_grid_phy_lmdz
   IMPLICIT NONE
-  
+    INCLUDE "iniprint.h"
+ 
     REAL :: Test_Field1d_glo(klon_glo,nbp_lev)
     REAL :: tmp1d_glo(klon_glo,nbp_lev)
@@ -80,5 +81,5 @@
 !$OMP MASTER  
       Checksum=sum(Test_Field1d_glo-tmp1d_glo)
-      PRINT *, "------> Checksum =",Checksum," MUST BE 0"
+      WRITE(lunout,*) "------> Checksum =",Checksum," MUST BE 0"
 !$OMP END MASTER
     ENDIF
@@ -92,5 +93,5 @@
 !$OMP MASTER  
       Checksum=sum(Test_Field1d_glo-tmp1d_glo)
-      PRINT *, "------> Checksum =",Checksum," MUST BE 0"
+      WRITE(lunout,*) "------> Checksum =",Checksum," MUST BE 0"
 !$OMP END MASTER
     ENDIF
@@ -102,5 +103,5 @@
 !$OMP MASTER  
       Checksum=sum(Test_Field1d_glo*omp_size*mpi_size-tmp1d_glo)
-      PRINT *, "------> Checksum =",Checksum," MUST BE 0"
+      WRITE(lunout,*) "------> Checksum =",Checksum," MUST BE 0"
 !$OMP END MASTER
     ENDIF
Index: LMDZ5/branches/testing/libf/phylmd/pbl_surface_mod.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/pbl_surface_mod.F90	(revision 1663)
+++ LMDZ5/branches/testing/libf/phylmd/pbl_surface_mod.F90	(revision 1664)
@@ -385,5 +385,5 @@
     REAL, DIMENSION(klon)              :: yts, yrugos, ypct, yz0_new
     REAL, DIMENSION(klon)              :: yalb, yalb1, yalb2
-    REAL, DIMENSION(klon)              :: yu1, yv1
+    REAL, DIMENSION(klon)              :: yu1, yv1,ytoto
     REAL, DIMENSION(klon)              :: ysnow, yqsurf, yagesno, yqsol
     REAL, DIMENSION(klon)              :: yrain_f, ysnow_f
@@ -439,4 +439,5 @@
     LOGICAL, PARAMETER                 :: zxli=.FALSE. ! utiliser un jeu de fonctions simples
     LOGICAL, PARAMETER                 :: check=.FALSE.
+    REAL, DIMENSION(klon)              :: Kech_h       ! Coefficient d'echange pour l'energie
 
 ! For debugging with IOIPSL
@@ -900,4 +901,11 @@
           y_flux_q1(:) =  flat/RLVTT
           yfluxlat(:) =  flat
+
+          Kech_h(:) = ycdragh(:) * (1.0+SQRT(yu(:,1)**2+yv(:,1)**2)) * &
+               ypplay(:,1)/(RD*yt(:,1))
+          ytoto(:)=(1./RCPD)*(AcoefH(:)+BcoefH(:)*y_flux_t1(:)*dtime)
+          ytsurf_new(:)=ytoto(:)-y_flux_t1(:)/(Kech_h(:)*RCPD)
+          y_d_ts(:) = ytsurf_new(:) - yts(:) 
+
        ELSE
           y_flux_t1(:) =  yfluxsens(:)
